Package org.eclipse.microprofile.rest.client.tck

# Class CloseTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.rest.client.tck.CloseTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class CloseTest extends org.jboss.arquillian.testng.Arquillian

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`CloseTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.Archive<?>`
`createDeployment()`
`void`
`expectIllegalStateExceptionAfterAutoCloseableClose()`
`void`
`expectIllegalStateExceptionAfterCloseableClose()`
`void`
`expectIllegalStateExceptionAfterCloseOnInterfaceThatExtendsAutoCloseable()`
`void`
`expectIllegalStateExceptionAfterCloseOnInterfaceThatExtendsCloseable()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CloseTest

public CloseTest()

## Method Details

### createDeployment

@Deployment public static org.jboss.shrinkwrap.api.Archive<?> createDeployment()

### expectIllegalStateExceptionAfterCloseableClose

public void expectIllegalStateExceptionAfterCloseableClose() throws Exception

Throws:
  `Exception`

### expectIllegalStateExceptionAfterAutoCloseableClose

public void expectIllegalStateExceptionAfterAutoCloseableClose() throws Exception

Throws:
  `Exception`

### expectIllegalStateExceptionAfterCloseOnInterfaceThatExtendsAutoCloseable

public void expectIllegalStateExceptionAfterCloseOnInterfaceThatExtendsAutoCloseable() throws Exception

Throws:
  `Exception`

### expectIllegalStateExceptionAfterCloseOnInterfaceThatExtendsCloseable

public void expectIllegalStateExceptionAfterCloseOnInterfaceThatExtendsCloseable() throws Exception

Throws:
  `Exception`